/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.domain.common.hibernate;

import org.hibernate.dialect.MySQL57Dialect;

/**
 * @author 田平 create 2013-6-4上午11:07:36
 */
public class TeleDBDialect extends MySQL57Dialect {

	@Override
	public String getCreateSequenceString(String sequenceName) {
		return null;
	}

	@Override
	public String getDropSequenceString(String sequenceName) {
		return null;
	}

	@Override
	public String getSequenceNextValString(String sequenceName) {
		return "select " + getSelectSequenceNextValString(sequenceName);
	}

	@Override
	public String getSelectSequenceNextValString(String sequenceName) {
		return sequenceName + ".nextval";
	}

	@Override
	public boolean supportsSequences() {
		return true;
	}

	@Override
	public boolean supportsPooledSequences() {
		return false;
	}

	@Override
	public String getQuerySequencesString() {
		return null;
	}

}
